##
## Copyright (c) 2021 The Yaook Authors.
##
## This file is part of Yaook.
## See https://yaook.cloud for further info.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##
{% set pod_labels = dependencies['api_deployment'].labels() %}
apiVersion: v1
kind: Service
metadata:
  name: "glance-api"
spec:
  selector: {{ pod_labels }}
  ports:
  - name: internal
    port: 9292
    targetPort: 9292
    protocol: TCP
  - name: external
    port: 9293
    targetPort: 9293
    protocol: TCP  
  - name: internal-ssl-terminator-prometheus
    port: 9090
    targetPort: 9090
    protocol: TCP
  - name: external-ssl-terminator-prometheus
    port: 9091
    targetPort: 9091
    protocol: TCP
{% if crd_spec.api.internal | default(False) %}
  - name: internal-ingress
    port: 9294
    targetPort: 9294
    protocol: TCP
  - name: internal-ingress-ssl-terminator-prometheus
    port: 9092
    targetPort: 9092
    protocol: TCP
{% endif %}